package idl;
/**
<p>
<ul>
<li> <b>Java Class</b> idl._sk_HelloCorba
<li> <b>Source File</b> idl/_sk_HelloCorba.java
<li> <b>IDL Source File</b> HelloCorba.idl
<li> <b>IDL Absolute Name</b> ::idl::HelloCorba
<li> <b>Repository Identifier</b> IDL:idl/HelloCorba:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface HelloCorba {
      void setOneString(
        in string value1
      );
      void setTwoStrings(
        in string value1,
        in string value2
      );
      void setThreeStrings(
        in string value1,
        in string value2,
        in string value3
      );
      string getOneString();
      string getTwoStrings(
        out string value2
      );
      string getThreeStrings(
        out string value2,
        out string value3
      );
      void setLong(
        in long value
      );
      long getLong();
      void outLong(
        out long value
      );
      void setShort(
        in short value
      );
      short getShort();
      void outShort(
        out short value
      );
      void setULong(
        in unsigned long value
      );
      unsigned long getULong();
      void outULong(
        out unsigned long value
      );
      void setUShort(
        in unsigned short value
      );
      unsigned short getUShort();
      void outUShort(
        out unsigned short value
      );
      void setChar(
        in char value
      );
      char getChar();
      void outChar(
        out char value
      );
      void setBoolean(
        in boolean value
      );
      boolean getBoolean();
      void outBoolean(
        out boolean value
      );
      void setOctet(
        in octet value
      );
      octet getOctet();
      void outOctet(
        out octet value
      );
    };
</pre>
</p>
*/
abstract public class _sk_HelloCorba extends org.omg.CORBA.portable.Skeleton implements idl.HelloCorba {
  protected _sk_HelloCorba(java.lang.String name) {
    super(name);
  }
  protected _sk_HelloCorba() {
    super(null);
  }
  public java.lang.String[] _ids() {
    return __ids;
  }
  private static java.lang.String[] __ids = {
    "IDL:idl/HelloCorba:1.0"
  };
  public org.omg.CORBA.portable.MethodPointer[] _methods() {
    org.omg.CORBA.portable.MethodPointer[] methods = {
     new org.omg.CORBA.portable.MethodPointer("setOneString", 0, 0),
     new org.omg.CORBA.portable.MethodPointer("setTwoStrings", 0, 1),
     new org.omg.CORBA.portable.MethodPointer("setThreeStrings", 0, 2),
     new org.omg.CORBA.portable.MethodPointer("getOneString", 0, 3),
     new org.omg.CORBA.portable.MethodPointer("getTwoStrings", 0, 4),
     new org.omg.CORBA.portable.MethodPointer("getThreeStrings", 0, 5),
     new org.omg.CORBA.portable.MethodPointer("setLong", 0, 6),
     new org.omg.CORBA.portable.MethodPointer("getLong", 0, 7),
     new org.omg.CORBA.portable.MethodPointer("outLong", 0, 8),
     new org.omg.CORBA.portable.MethodPointer("setShort", 0, 9),
     new org.omg.CORBA.portable.MethodPointer("getShort", 0, 10),
     new org.omg.CORBA.portable.MethodPointer("outShort", 0, 11),
     new org.omg.CORBA.portable.MethodPointer("setULong", 0, 12),
     new org.omg.CORBA.portable.MethodPointer("getULong", 0, 13),
     new org.omg.CORBA.portable.MethodPointer("outULong", 0, 14),
     new org.omg.CORBA.portable.MethodPointer("setUShort", 0, 15),
     new org.omg.CORBA.portable.MethodPointer("getUShort", 0, 16),
     new org.omg.CORBA.portable.MethodPointer("outUShort", 0, 17),
     new org.omg.CORBA.portable.MethodPointer("setChar", 0, 18),
     new org.omg.CORBA.portable.MethodPointer("getChar", 0, 19),
     new org.omg.CORBA.portable.MethodPointer("outChar", 0, 20),
     new org.omg.CORBA.portable.MethodPointer("setBoolean", 0, 21),
     new org.omg.CORBA.portable.MethodPointer("getBoolean", 0, 22),
     new org.omg.CORBA.portable.MethodPointer("outBoolean", 0, 23),
     new org.omg.CORBA.portable.MethodPointer("setOctet", 0, 24),
     new org.omg.CORBA.portable.MethodPointer("getOctet", 0, 25),
     new org.omg.CORBA.portable.MethodPointer("outOctet", 0, 26),
    };
    return methods;
  }
  public boolean _execute(org.omg.CORBA.portable.MethodPointer method, org.omg.CORBA.portable.InputStream input, org.omg.CORBA.portable.OutputStream output) {
    switch(method.interface_id) {
    case 0: {
      return idl._sk_HelloCorba._execute(this, method.method_id, input, output); 
    }
    }
    throw new org.omg.CORBA.MARSHAL();
  }
  public static boolean _execute(idl.HelloCorba _self, int _method_id, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.OutputStream _output) {
    switch(_method_id) {
    case 0: {
      java.lang.String value1;
      value1 = _input.read_string();
      _self.setOneString(value1);
      return false;
    }
    case 1: {
      java.lang.String value1;
      value1 = _input.read_string();
      java.lang.String value2;
      value2 = _input.read_string();
      _self.setTwoStrings(value1,value2);
      return false;
    }
    case 2: {
      java.lang.String value1;
      value1 = _input.read_string();
      java.lang.String value2;
      value2 = _input.read_string();
      java.lang.String value3;
      value3 = _input.read_string();
      _self.setThreeStrings(value1,value2,value3);
      return false;
    }
    case 3: {
      java.lang.String _result = _self.getOneString();
      _output.write_string(_result);
      return false;
    }
    case 4: {
      org.omg.CORBA.StringHolder value2 = new org.omg.CORBA.StringHolder();
      java.lang.String _result = _self.getTwoStrings(value2);
      _output.write_string(_result);
      _output.write_string(value2.value);
      return false;
    }
    case 5: {
      org.omg.CORBA.StringHolder value2 = new org.omg.CORBA.StringHolder();
      org.omg.CORBA.StringHolder value3 = new org.omg.CORBA.StringHolder();
      java.lang.String _result = _self.getThreeStrings(value2,value3);
      _output.write_string(_result);
      _output.write_string(value2.value);
      _output.write_string(value3.value);
      return false;
    }
    case 6: {
      int value;
      value = _input.read_long();
      _self.setLong(value);
      return false;
    }
    case 7: {
      int _result = _self.getLong();
      _output.write_long(_result);
      return false;
    }
    case 8: {
      org.omg.CORBA.IntHolder value = new org.omg.CORBA.IntHolder();
      _self.outLong(value);
      _output.write_long(value.value);
      return false;
    }
    case 9: {
      short value;
      value = _input.read_short();
      _self.setShort(value);
      return false;
    }
    case 10: {
      short _result = _self.getShort();
      _output.write_short(_result);
      return false;
    }
    case 11: {
      org.omg.CORBA.ShortHolder value = new org.omg.CORBA.ShortHolder();
      _self.outShort(value);
      _output.write_short(value.value);
      return false;
    }
    case 12: {
      int value;
      value = _input.read_ulong();
      _self.setULong(value);
      return false;
    }
    case 13: {
      int _result = _self.getULong();
      _output.write_ulong(_result);
      return false;
    }
    case 14: {
      org.omg.CORBA.IntHolder value = new org.omg.CORBA.IntHolder();
      _self.outULong(value);
      _output.write_ulong(value.value);
      return false;
    }
    case 15: {
      short value;
      value = _input.read_ushort();
      _self.setUShort(value);
      return false;
    }
    case 16: {
      short _result = _self.getUShort();
      _output.write_ushort(_result);
      return false;
    }
    case 17: {
      org.omg.CORBA.ShortHolder value = new org.omg.CORBA.ShortHolder();
      _self.outUShort(value);
      _output.write_ushort(value.value);
      return false;
    }
    case 18: {
      char value;
      value = _input.read_char();
      _self.setChar(value);
      return false;
    }
    case 19: {
      char _result = _self.getChar();
      _output.write_char(_result);
      return false;
    }
    case 20: {
      org.omg.CORBA.CharHolder value = new org.omg.CORBA.CharHolder();
      _self.outChar(value);
      _output.write_char(value.value);
      return false;
    }
    case 21: {
      boolean value;
      value = _input.read_boolean();
      _self.setBoolean(value);
      return false;
    }
    case 22: {
      boolean _result = _self.getBoolean();
      _output.write_boolean(_result);
      return false;
    }
    case 23: {
      org.omg.CORBA.BooleanHolder value = new org.omg.CORBA.BooleanHolder();
      _self.outBoolean(value);
      _output.write_boolean(value.value);
      return false;
    }
    case 24: {
      byte value;
      value = _input.read_octet();
      _self.setOctet(value);
      return false;
    }
    case 25: {
      byte _result = _self.getOctet();
      _output.write_octet(_result);
      return false;
    }
    case 26: {
      org.omg.CORBA.ByteHolder value = new org.omg.CORBA.ByteHolder();
      _self.outOctet(value);
      _output.write_octet(value.value);
      return false;
    }
    }
    throw new org.omg.CORBA.MARSHAL();
  }
}
